import { REQUEST_CONFIG } from '@/config';
import { request, handle } from '@kasite/uni-app-base';

/** 上传图片 */
export const UploadZxFile = `${REQUEST_CONFIG.BASE_URL}upload/uploadZxFile.do`;

/** 问卷任务-查询由渠道任务发布的满意度调查问卷列表 */
export const QuerySubjectListToChannelTask_V3 = async (queryData) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/surveyV3/SurveyWs/QuerySubjectListToChannelTask/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};
/** 问卷详情 */
export const QuerySubjectInfoById_V3 = async (queryData) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/surveyV3/SurveyWs/QuerySubjectInfoById/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};
/** 提交答案 */
export const CommitAnswer_V3 = async (queryData) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/surveyV3/SurveyWs/CommitAnswer_V3/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};
